feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Par

# Documentation

data ParFeature a where

Constructors

ParRun :: Type a => ParFeature (Par a :-> Full a) |
ParNew :: Type a => ParFeature (Full (Par (IV a))) |
ParGet :: Type a => ParFeature (IV a :-> Full (Par a)) |
ParPut :: Type a => ParFeature (IV a :-> (a :-> Full (Par ()))) |
ParFork :: ParFeature (Par () :-> Full (Par ())) |
ParYield :: ParFeature (Full (Par ())) |

Instances

EvalBind ParFeature |
Semantic ParFeature |
Eval ParFeature |
Render ParFeature |
ToTree ParFeature |
Equality ParFeature |
SizeProp ParFeature |
Sharable ParFeature |
(:<: (MONAD Par) dom, :<: ParFeature dom, Optimize dom dom) => Optimize ParFeature dom |
AlphaEq dom dom dom env => AlphaEq ParFeature ParFeature dom env |

monadProxy :: P Par